summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--ChangeLog4
-rwxr-xr-xautobuild.sh23
-rwxr-xr-xupdate.sh27
3 files changed, 47 insertions, 7 deletions
diff --git a/ChangeLog b/ChangeLog
index 57448eb8..0afb019f 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+2008-09-21 Kevin Day ("Blame") <blame@aethyra.com>
+
+ * Added the update.sh script to work with autobuild.sh
+
2008-09-16 Kevin Day ("Blame") <blame@aethyra.com>
* Added autobuild.sh complete build script for the client
diff --git a/autobuild.sh b/autobuild.sh
index 0d8f8b27..c5160439 100755
--- a/autobuild.sh
+++ b/autobuild.sh
@@ -24,12 +24,21 @@ echo "now running make"
make
echo
-echo "now running make install please input your root password"
-
-su -c "make install"
-su -c "make clean"
-
+echo "now running make install please input your root password";
+if [ /etc/fedora-release ]; then
+ echo "Fedora found";
+ su -c "make install";
+ su -c "make clean";
+ echo "Done";
+ aethyra &
+ exit 1;
+elif [ /etc/lsb-release ];then
+ echo "ubuntu found";
+ sudo make install;
+ aethyra &
+ exit 1;
+else
+ echo "login as root and run make install"
+fi
echo "done"
-aethyra &
-exit 1;
diff --git a/update.sh b/update.sh
new file mode 100755
index 00000000..1402fda9
--- /dev/null
+++ b/update.sh
@@ -0,0 +1,27 @@
+#!/bin/bash
+#automated script to update aethyra from SVN
+#author=Blame <blame@aethyra.com>
+#last modified 2008-09-21 Blame
+
+# test for the aethyra client
+if [ ~/src/aethyra ]; then
+ #change to the aethyra directory
+ cd ~/src/aethyra;
+ #issue the svn update command
+ svn up;
+ #issue the autobuild command
+ ./autobuild.sh;
+ echo "Aethyra has been updated"
+ exit 1;
+else
+ #make directory /home/user-name/src
+ mkdir ~/src
+ #change to directory /home/user-name/src
+ cd ~/src
+ #execute the svn command to download the client files
+ svn co svn://209.168.213.109/client/trunk aethyra
+ #issue the auto build script to compile the client
+ ./autobuild
+ echo "congratulations on installing aethyra enjoy"
+ exit 1;
+fi